NI TestStand

cancel
Showing results for 
Search instead for 
Did you mean: 

NI Teststand 2012 will not launch after installing 2014

Hi all,

I installed 2014 on a machine that had 2012 on it. Since then, I cannot launch 2012 with out this error (see picture attached)

I am using the version selector and when I enable 2014 it launches fine.

I have the correct .NET Framework installed and have tried uninstalling 2012/2014 and reinstalling to no avail. 

IMG_3157.JPG

 

Has anyone seen this issue before? 

Thanks,

L

0 Kudos
Message 1 of 7
(1,853 Views)

Basically NI Supports Multiple Versions (In case of LabVIEW), But not used Different Versions of TS in same machine.

Make sure whether you are calling 32bit/64bit.

----------------------------------------------------------------------------------------------------------------
பழனிவேல் திருவெங்கடம்
Kidlin's Law -If you can write the problem down clearly then the matter is half solved.
-----------------------------------------------------------------------------------------------------------------
0 Kudos
Message 2 of 7
(1,846 Views)

Hi Palanivel,

Both versions of  Teststand are 32bit.

I thought the version selector allows you to use either version?

Thank you.

0 Kudos
Message 3 of 7
(1,843 Views)

Yes Ofcourse it should allow the user to select available TS versions (with Selected bit).

----------------------------------------------------------------------------------------------------------------
பழனிவேல் திருவெங்கடம்
Kidlin's Law -If you can write the problem down clearly then the matter is half solved.
-----------------------------------------------------------------------------------------------------------------
0 Kudos
Message 4 of 7
(1,840 Views)

Still not working,

Any other ideas? 

0 Kudos
Message 5 of 7
(1,838 Views)

Whether both versions of TS are displayed in Version Selector Window?

If yes can you able to Make Active?

----------------------------------------------------------------------------------------------------------------
பழனிவேல் திருவெங்கடம்
Kidlin's Law -If you can write the problem down clearly then the matter is half solved.
-----------------------------------------------------------------------------------------------------------------
0 Kudos
Message 6 of 7
(1,835 Views)

Both versions are available in the version selector, yes.

I am able to make either 2012/2014 active. When I launch 2014 (32bit) 2014 will launch successfully.

 

However, when I launch 2012 (32bit) the error (as per the screenshot above) displays and I cannot open 2012.

 

0 Kudos
Message 7 of 7
(1,833 Views)